using AuditLog.UnitTests.Repository;
using e_suite.API.Common;
using e_suite.UnitTestCore;

namespace AuditLog.UnitTests.Helpers;

public class AuditLogTestBase : TestBase
{
    protected IAuditLog AuditLog = null!;

    protected FakeAuditLogRepository AuditLogRepository { get; set; } = null!;
    
    public override async Task Setup()
    {
        await base.Setup();

        AuditLogRepository = new FakeAuditLogRepository();
        
        AuditLog = new e_suite.Modules.AuditLog.AuditLog(AuditLogRepository);
    }
}